/* quattrocento font */
@import url('https://fonts.googleapis.com/css2?family=Quattrocento+Sans:ital,wght@0,400;0,700;1,400;1,700&display=swap');

.quattrocento-sans-bold {
    font-family: "Quattrocento Sans", sans-serif;
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Slim Joe Regular';
    font-style: normal;
    font-weight: normal;
    src: url('./fonts/Slim Joe.woff') format('woff');
}



body {
    margin: 0;
    padding: 0;
    /* background-color: black; */
    /* color: white; */
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
}

/* NAVABR STYLE  */

.nav {
    z-index: 9999999;
    position: fixed;
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;
    padding: 0rem 16px 1rem 16px;
    width: 100%;
    height: 65px;
    align-items: center;
    align-content: center;
    transition: all 0.5s ease;
    justify-content: space-between;
    top: 0;
    left: 0;
}

#nav.scrolled {
    /* background: linear-gradient(rgba(172, 172, 172, 0.780), rgba(21, 21, 21, 0.700)); */
    background: rgba(17, 17, 17, 0.3);
    backdrop-filter: blur(16px);

}

.nav-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

}

.nav-left-section {
    padding-right: 2rem;
}

.nav-right-section ul {
    display: flex;
    flex-direction: row;
    list-style: none;
    font-size: 20px;

}

.nav_right-list li {
    font-weight: bold;
    padding: 0rem 1rem;

}

.list_item:hover {
    transform: scale(1.12);
    transition: all 0.3s ease;

}

.list_item a {
    text-decoration: none;
    color: white;

}


.list_item a:hover {
    border-radius: 2px;
    border-bottom: 3px solid transparent;
    border-image: linear-gradient(105deg, #6666FF, #FF4750, #6666FF) 1;

}

/* NAVBAR STYLE END */

/* INTRO STYLE */
.intro-section {
    /* margin-top: 3rem; */
    min-width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    background: linear-gradient(to top, white, rgb(127, 127, 127) 55%, rgb(33, 33, 33) 95%);
    /* background-image: url("../assets/Home\ page-1.jpg");
  background-size:cover;
  background-repeat:no-repeat;
  background-position: center;
  box-sizing: border-box; */
    /* 
  position: relative;
  overflow: hidden; */
}

/* BACKGROUND TEXT */
.background-text {
    position: absolute;
    top: 43%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 1;
}
.text-block{
    margin-top: 5rem;
}
.background-text h1 {
    background-image: linear-gradient(to right, #4e0022, #320096);

    /* Clip the background to the shape of the text */
    -webkit-background-clip: text;
    /* For WebKit browsers like Chrome and Safari */
    background-clip: text;
    /* Make the text transparent so the background can show through */
    -webkit-text-fill-color: transparent;
    /* For WebKit browsers */
    font-size: 215px;
    font-family: 'Slim Joe Regular';
    font-weight: 900;
    margin: 0;
    line-height: 1.2;
    letter-spacing: 1.8rem;
    text-shadow: -4px 4px 8px rgba(0, 0, 0, 0.5);
}

/* ROBOT IMAGE */
.intro-img{
    position: absolute;
    top: 8%;
    right: 0vw;
    left: 0vw;
    justify-self: center;
}
.intro-img img{
    width: 1200px ;
    height: auto;
}

/* ARROW */
.content-load-arrow {
    position: absolute;
    bottom: 2rem;
    cursor: pointer;
    z-index: 3;
}

.img-arrow img {
    width: 50px;
    animation: bounce 2s infinite;
}

@keyframes bounce {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(10px);
    }
}
.wrapper{
 z-index: 9999;
}
#loaded-content {
    width: 100%;
    height: 80vh;
    /* background: linear-gradient( #FFFFFF 65% , #262626 ); */
    background-color: white;
    color: black;
    /* border-top: 1px solid purple; */
   
}
.dragger{
   background: linear-gradient(to right, #4e0022, #320096);;
    width: 80px;
    height: 30px;
    margin: auto;
    padding: 10px 18px 0px 18px;
    border-radius: 20px 20px 0px 0px;
}
/* .dragger hr:nth-child(1){
    margin-top: 20px;
} */
.dragger hr{
    /* margin-top: 2px; */
    color: white;
    /* width: 40px; */
}
/* MAIN CONTENT */
.main-content {
    opacity: 0;
    /* hidden initially */
    display: block;
    /* must be block to transition opacity */
    transition: opacity 0.7s ease;
    position: relative;
    z-index: 1;
}

.main-content.show {
    opacity: 1;
}

/* ARROW SECTION STYLE END */

/* SECOND PAGE STYLE */
.home-para {
    /* padding: 2rem; */
    /* font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; */
    /* margin-top: 11rem; */
    margin: 0rem 16rem 0rem 16rem;
    /* justify-items: center; */

}

.home-para-container {
    margin: 8rem  auto;
}

.para-1 {
    word-spacing: 2px;
    margin: 4rem auto;
    font-size: 26px;
    font-weight:400 !important;

}

.para-2 {
    word-spacing: 2px;
    margin-top: 2rem;
    font-size: 26px;
    font-weight: 400 !important;
}

.redirect-para {
    font-size: 26px;
    margin: 8rem auto;

}

.redirect-para span {
    word-spacing: 2px;
    display: flex;
    flex-direction: column;
    font-weight: bold;
    gap: 0rem;
    font-size: 2.5rem;
}

.redirect-para a {
    word-spacing: 2px;
    font-weight: bold;
    text-decoration: none;
    color: black;
    display: flex;
    gap: 0rem;
    align-items: center;
}

.redirect-para img:hover {
    transform: scale(1.2);
    transition: all 0.3s ease;
}

.redirect-para p {
    margin: 0;
    padding-right: 2rem;
}

.redirect-para img {
    width: 34px;
    height: 34px;
    align-items: center;
}

/* SECOND PAGE STYLE END  */

/* FOOTER STYLE */
footer {
    font-family: Arial, Helvetica, sans-serif;

    border-top: 4px solid transparent;
    border-image: linear-gradient(to right, #D2005A, #6666FF) 1;

}

.footer-container {
    height: 40px;
    padding: 2rem;
    color: white;
    background-color: rgb(0, 0, 0);
    /* padding: 2rem; */
    display: grid;
    align-items: center;
    align-content: center;
    grid-template-columns: 1fr 2fr 1fr;
    grid-template-rows: auto auto;
    grid-template-areas:
        "logo menu copyright"
        "logo socials copyright";
}

.logo {
    grid-area: logo;
}

.menu {
    grid-area: menu;

}

.menu ul,
.socials ul {
    font-size: 18px;
    justify-content: center;
    list-style: none;
    display: flex;
    flex-direction: row;
}

.menu ul {

    gap: 4rem;
    justify-content: space-around;

}

.menu-item a {
    text-decoration: none;
    color: rgb(212, 212, 212);
}

.menu-item:hover {
    transform: scale(1.12);
    transition: all 0.2s ease;
}

.socials ul {
    gap: 2rem;
}

.socials {
    grid-area: socials;
    align-items: center;

}

.socials-items img {
    width: 24px;
    height: 24px;
    

}
.socials-items img:hover{
    filter: brightness(10);
        transform: scale(1.2);
    transition: all 0.2s ease;
}

.copyright {
    color: rgb(212, 212, 212);
    padding: 1.2rem;
    grid-area: copyright;
    text-align: center;
    font-size: 12px;
    justify-self: end;
    align-self:flex-start;

}

/* FOOTER STYLE END */

/* scroll effect  */
.scroll-reveal {
    opacity: 0;
    /* Start invisible */
    transform: translateY(20px);
    /* Start 20px below its final position */
    transition: all 0.6s ease;
    /* Smooth animation */
}

/* This class will be added by JavaScript when the element is visible */
.scroll-reveal.visible {
    opacity: 1;
    transform: translateY(0);
}

/* ========================================= */
/* ==========   TABLET VIEW 768px  ========= */
/* ========================================= */

@media (max-width: 768px) {

    html, body {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        overflow-x: hidden;
        width: 100%;
    }

    * {
        box-sizing: border-box;
    }

    /* ------------------------------ NAV ------------------------------ */
    header {
        width: 100%;
    }

    .nav {
        width: 100%;
        padding: 10px 15px;
        font-size: 10px;
    }

    .nav-container {
        width: 100%;
    }

    .nav-left-section {
        padding: 5px;
    }

    .nav-right-section {
        margin-right: 0.5rem;
    }

    .list_item a {
        font-size: 14px !important;
    }

    /* ------------------------------ HERO / INTRO ------------------------------ */
    .intro-section {
        /* height: 95vh; */
        width: 100%;
        overflow: hidden;
        position: relative;
    }

    .intro-container {
        width: 100%;
    }

    .background-text {
        top: 50%;
        width: 100%;
        padding: 0px 10px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        /* transform: translateX(-50%); */
        text-align: center;
    }

    .background-text h1 {
        font-size: 3.3rem;
        margin-bottom: 10px;
        line-height: 3.3;
        letter-spacing: 10px;
    }

    .text-block {
        margin: 1rem auto;
        width: 90%;
        display: flex;
        flex-direction: column;
        gap: 2rem;
    }

    .intro-img {
        position: absolute;
        top: 0%;
        left: 0;
        right: 0;
        display: flex;
        justify-content: center;
    }

    .intro-img img {
        width: 685px;
        height: auto;
        position: absolute;
    }

    /* ------------------------------ LOADED CONTENT ------------------------------ */
    #loaded-content {
        width: 100%;
        height: auto;
        overflow: hidden;
    }

    /* ------------------------------ PARAGRAPHS ------------------------------ */
    .home-para {
        margin: 10px;
        overflow: hidden;
    }

    .home-para-container {
        margin: auto;
        width: 100%;
    }

    .para-1,
    .para-2 {
        margin: 3rem auto;
        overflow: hidden;
        width: 90%;
    }

    .para-1 p,
    .para-2 p {
        font-size: 1.5rem;
        /* line-height: 1.5; */
    }

    /* ------------------------------ REDIRECT PARAGRAPH ------------------------------ */
    .redirect-para {
        margin: 3rem 1rem;
        width: 100%;
        /* text-align: center; */
    }

    .redirect-para span {
        font-size: 1.7rem;
    }
.redirect-para a{
    flex-direction: column;
    align-items: self-start;
}
    .redirect-para img {
        width: 24px;
        height: 24px;
    }

    /* ------------------------------ FOOTER ------------------------------ */
    footer {
        width: 100%;
        overflow-x: hidden;
    }

    .footer-container {
        padding: 10px;
        width: 100%;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: auto auto auto;
        grid-template-areas:
            "logo logo logo"
            "socials socials socials"
            "copyright copyright copyright";
        justify-content: center;
        align-items: center;
        gap: 10px;
        height: auto;
    }

    .logo {
        grid-area: logo;
        justify-self: center;
    }

    .socials {
        grid-area: socials;
        padding: 0 1rem;
        text-align: center;
        justify-self: center;
       
    }

    .socials ul {
        display: flex !important;
        justify-content: center !important;
        gap: 1.5rem;
         padding: 0;
    }
.socials-items.active img{
    filter: brightness(10);
        transform: scale(1.2);
    transition: all 0.2s ease;
}
    .copyright {
        padding: 0;
        grid-area: copyright;
        text-align: center;
        font-size: 14px;
        justify-self: center;
    }
}
